<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:fragment="head">
    <meta charset="UTF-8">
    <title>Jotto</title>
</head>
<body>
<div class="layout mdl-layout mdl-layout--fixed-header mdl-js-layout mdl-color--grey-100">
    <header class="header mdl-layout__header mdl-layout__header--scroll mdl-color--grey-100 mdl-color-text--grey-800">
        <div class="mdl-layout__header-row">
            <div class="mdl-layout-spacer"></div>
            <span class="mdl-layout-title" th:classappend="${#authentication.name != 'anonymousUser'} ? moved">JOTTO</span>
            <div class="mdl-layout-spacer"></div>
            <back-button></back-button>
        </div>
    </header>
    <div class="ribbon"></div>
    <main class="main mdl-layout__content">
        <div layout:fragment="content"></div>
    </main>
</div>

<div id="error-notification" class="mdl-js-snackbar mdl-snackbar">
    <div class="mdl-snackbar__text"></div>
    <button class="mdl-snackbar__action" type="button"></button>
</div>

<script th:inline="javascript">
    window.addEventListener('load', function () {
        'use strict';
        const error = [[${error}]];
        if(error != null)
            showError(error);
    })
</script>
</body>
</html>